"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const account_command_1 = require("../../account-command");
class AccountCreate extends account_command_1.WithPassphrase {
    async run() {
        this.spinner.start('Create account');
        const data = await this.execute({
            instanceHash: await this.engineServiceInstance(account_command_1.WithPassphrase.SERVICE_NAME),
            taskKey: 'create',
            inputs: JSON.stringify({
                passphrase: await this.getPassphrase(),
            })
        });
        this.spinner.stop(data.address);
        return data;
    }
}
AccountCreate.description = 'Create a new account';
AccountCreate.flags = Object.assign({}, account_command_1.WithPassphrase.flags);
exports.default = AccountCreate;
