"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const account_command_1 = require("../../account-command");
class AccountImportPK extends account_command_1.WithPassphrase {
    async run() {
        const { args } = this.parse(AccountImportPK);
        this.spinner.start('Import account');
        const data = await this.execute({
            instanceHash: await this.engineServiceInstance(account_command_1.WithPassphrase.SERVICE_NAME),
            taskKey: 'importFromPrivateKey',
            inputs: JSON.stringify({
                passphrase: await this.getPassphrase(),
                privateKey: args.PRIVATE_KEY,
            })
        });
        this.spinner.stop(data.address);
        return data;
    }
}
AccountImportPK.description = 'Import a account from a private key';
AccountImportPK.flags = Object.assign({}, account_command_1.WithPassphrase.flags);
AccountImportPK.args = [{
        name: 'PRIVATE_KEY',
        description: 'Private key for your account',
        required: true,
    }];
exports.default = AccountImportPK;
