"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const account_command_1 = require("../../account-command");
class AccountImport extends account_command_1.WithPassphrase {
    async run() {
        const { args } = this.parse(AccountImport);
        this.spinner.start('Import account');
        const data = await this.execute({
            instanceHash: await this.engineServiceInstance(account_command_1.WithPassphrase.SERVICE_NAME),
            taskKey: 'import',
            inputs: JSON.stringify({
                passphrase: await this.getPassphrase(),
                account: JSON.parse(args.ACCOUNT),
            })
        });
        this.spinner.stop(data.address);
        return data;
    }
}
AccountImport.description = 'Import a account';
AccountImport.flags = Object.assign({}, account_command_1.WithPassphrase.flags);
AccountImport.args = [{
        name: 'ACCOUNT',
        description: 'Account saved from a previous account',
        required: true
    }];
exports.default = AccountImport;
