"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const root_command_1 = tslib_1.__importDefault(require("../../root-command"));
class ServiceStart extends root_command_1.default {
    async run() {
        const { args, flags } = this.parse(ServiceStart);
        this.spinner.start('Start instance');
        const instance = await this.api.instance.create({
            serviceHash: args.SERVICE_HASH,
            env: flags.env
        });
        this.spinner.stop(instance.hash);
        return instance;
    }
}
ServiceStart.description = 'Start a service by creating a new instance';
ServiceStart.flags = Object.assign({}, root_command_1.default.flags, { env: command_1.flags.string({
        description: 'set env defined in mesg.yml (configuration.env)',
        multiple: true,
        helpValue: 'FOO=BAR'
    }) });
ServiceStart.args = [{
        name: 'SERVICE_HASH',
        required: true,
    }];
exports.default = ServiceStart;
